%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		gourmet
Version:	0.15.0
Release:	4%{?dist}
Summary:	Recipe Manager for the GNOME desktop environment

Group:		Applications/Productivity
License:	GPLv2+
URL:		http://grecipe-manager.sourceforge.net
Source0:	http://easynews.dl.sourceforge.net/sourceforge/grecipe-manager/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
BuildRequires:  gettext,intltool

Requires: gnome-python2, gnome-python2-gnomeprint
Requires: metakit
Requires: pygtk2, gnome-python2-gtkspell 
Requires: PyRTF,python-sqlalchemy
Requires: python-imaging, python-sqlite2, pygtk2-libglade, python-reportlab
%description
Gourmet Recipe Manager is a recipe-organizer for GNOME that generates shopping
lists and allows rapid searching of recipes. It imports mealmaster & mastercook
files and exports webpages & other formats.

%prep
%setup -q
#chmod -x data/recipe.dtd

%build

%{__python} setup.py build

%install
rm -rf %buildroot
%{__python} setup.py install -O1 --skip-build --root %buildroot \
  --disable-modules-check


desktop-file-install %buildroot%_datadir/applications/gourmet.desktop \
  --remove-category=Other \
  --vendor=fedora \
  --add-category=Utility \
  --add-category=X-Fedora \
  --dir=%buildroot%_datadir/applications \
  --copy-name-to-generic-name \
  --delete-original

%find_lang %{name}

%clean
rm -rf %buildroot


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc CHANGES PKG-INFO README TODO
#%doc documentation
%_bindir/gourmet
# sitelib stuff
%{python_sitelib}/gourmet
# datadir stuff
%{_datadir}/applications/fedora-gourmet.desktop
%{_datadir}/pixmaps/recbox.png
%{_datadir}/gourmet
%{python_sitelib}/*.egg-info

%changelog
* Fri Sep 4 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.0-4
- add gnome-python2-gtkspell for spellingchecking plugin support

* Tue Aug 25 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.0-3
- add python-sqlalchemy runtime dep.

* Sun Aug 23 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.0-2
- Small buildrequires fix.

* Sun Aug 23 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.15.0-1
- Latest upstream release, major changes include plugin system for capabilities

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.13.4-4
- Rebuild for Python 2.6

* Fri Jan 04 2008 Jef Spaleta <jspaleta@gmail.com> - 0.13.4-3
- Fix for egg-info file creation

* Fri Aug 03 2007 Jef Spaleta <jspaleta@gmail.com> - 0.13.4-2
- Change license tag to GPLv2+ for new licensing guidelines

* Sat Jul 28 2007 Jef Spaleta <jspaleta@gmail.com> - 0.13.4-1
- Update to new upstream version

* Mon Mar 26 2007 Jef Spaleta <jspaleta@gmail.com> - 0.13.3-1
- Update to new upstream version

* Wed Dec 13 2006 Jef Spaleta <jspaleta@gmail.com> - 0.12.2-2
- Some final specfile cleaning before import into extras cvs

* Tue Dec 12 2006 Jef Spaleta <jspaleta@gmail.com> - 0.12.2-1
- Update to version 0.12.2 and prepare to unorphan the tree

* Tue Apr 25 2006 Michael A. Peters <mpeters@mac.com> - 0.8.5.14-2
- try build again

* Fri Mar 17 2006 Michael A. Peters <mpeters@mac.com> - 0.8.5.14-1
- New upstream version
- rpmlint cleanup

* Fri Nov 11 2005 Michael A. Peters <mpeters@mac.com> - 0.8.5.13-1
- New upstream version

* Thu Sep 22 2005 Michael A. Peters <mpeters@mac.com> - 0.8.5.12-1
- New upstream version

* Mon Jun 13 2005 Michael A. Peters <mpeters@mac.com> - 0.8.5.2-1
- Initial checkin to cvs
